Quassel IRC - Bug #1093

Quassel intermittently forgets settings
08/30/2011 11:30 AM - letharion

Status: Closed Start date: 08/30/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.7.2 0S: Linux

Description

Every now and then, when | start Quassel up, all settings are missing.
| need to re-create my highlight settings, add the server ip, and such.

It looks like the quasselclient.conf file just goes missing and a new one is created with default settings.

Gentoo Linux, KDE 4.7.0.

History

#1 - 11/16/2011 10:44 AM - letharion

| could possibly be related to forcing Quassel to close with "systemctl --force reboot", rather than closing Quassel itself first. Not sure about this
though.

Still intermittently happens in KDE 4.7.3 and with Quassel 0.7.3.

| would update the version number on the issue, but I'm not really familiar enough with redmine, | can't seem to figure out how to do it.

#2 - 05/27/2012 01:02 PM - letharion
Still happens on Quassel 8.0 and kde 4.8.3.

#3 - 04/01/2014 11:41 AM - realitygaps
Still seems to happen with Quassel 0.9.2 and KDE 4.12.4

#4 - 04/23/2014 12:37 PM - LongHairedHacker

Hi,

| have the same issue on Archlinux with Quassel (client only setup) 0.9.2 dist-748fa5c.

This bug is not related to the desktop environment use, it affects me when I'm using xfce4 as well as when I'm using i3.
| also encountered this bug under Debian wheezy on powerpc with Quassel 0.8.0.

It seems as if the config file gets reset to defaults a soon as Quassel is killed with sigterm instead of exited properly.
#5 - 08/30/2014 03:46 AM - ypcs

Bug still exists. This happens ~every third time when | shutdown the system from CLI, using "shutdown -h now".
Quassel IRC v0.10.0 (dist-575f27¢e) on Debian testing (8/jessie), with XFCE4/LightDM. SystemD as init.

#6 - 09/30/2014 05:17 PM - davispuh

Happened to me for 2nd time now with latest Quassel

Qt: 4.8.6

KDE izstrades platforma: 4.14.1

Quassel IRC: v0.10.0 (dist-575f27¢)

I noticed that both times it could have been caused by full /var partition but still weird that it overwrote config.

#7 - 09/30/2014 05:22 PM - davispuh

davispuh wrote:

Happened to me for 2nd time now with latest Quassel
Qt: 4.8.6
KDE izstrades platforma: 4.14.1
Quassel IRC: v0.10.0 (dist-575f27¢)

| noticed that both times it could have been caused by full /var partition but still weird that it overwrote config.

or mabye it was becuase /home partition was full too

#8 - 03/27/2015 03:00 AM - reazem
| have the same issue.
| am using v0.10.0 (dist-575f27¢e)

#9 - 04/15/2015 02:28 AM - flamingspinach
This might have been a bug in Qt which is now fixed as of Qt 5.4.0: https://bugreports.qt.io/browse/QTBUG-21739

Can anyone replicate this on Quassel v0.11 linked against Qt 5.4.0 or newer?

#10 - 11/10/2015 03:32 AM - flamingspinach

flamingspinach wrote:

This might have been a bug in Qt which is now fixed as of Qt 5.4.0: https:/bugreports.qt.io/browse/QTBUG-21739

Can anyone replicate this on Quassel v0.11 linked against Qt 5.4.0 or newer?

FWIW I've been using Quassel built with Qt5 since | made that comment and have never encountered this issue, despite encountering it many times
before that.

#11 - 12/11/2018 06:52 PM - Sputnick
- Status changed from New to Closed

- % Done changed from 0 to 100

This was an issue in Qt 4 that has been fixed a long time ago, as confirmed by flamingspinach, so closing this.
